Results 1 to 9 of 9

Thread: Update Disabled YAST

  1. #1

    Default Update Disabled YAST

    Just updated Tumbleweed on a multi-boot system: Win 10, Linux Mint 17.3. As has happened before, updating Tumbleweed erases the GRUB listing of the other OS's. My usual fix is to run YAST - System - Boot Loader and that restores the boot menu with the other OS's.

    But this update has also killed YAST: running it reports
    what(): Couldn't load plug-in qt
    /sbin/yast2: line 448: 2346 Aborted
    (core dumped) $ybindir/y2start $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

    Another major breakdown after an update required running zypper dup, but that reports

    Loading repository data...
    Reading installed packages...
    Computing distribution upgrade...
    6 Problems:
    Problem: problem with installed package graphviz-gd-2.38.0-140.63.x86_64
    Problem: problem with installed package graphviz-gnome-2.38.0-140.63.x86_64
    Problem: problem with installed package lensfun-data-0.3.2-28.3.noarch
    Problem: problem with installed package libMagickCore-7_Q16HDRI2-7.0.6.0-303.9.x86_64
    Problem: problem with installed package libMagickWand-7_Q16HDRI0-7.0.6.0-303.9.x86_64
    Problem: problem with installed package liblensfun1-0.3.2-28.3.x86_64

    Problem: problem with installed package graphviz-gd-2.38.0-140.63.x86_64
    Solution 1: keep obsolete graphviz-gd-2.38.0-140.63.x86_64

    Choose the above solution using '1' or skip, retry or cancel [1/s/r/c] (c):

    Solution "1" does not work: spews out a long list of conflicting packages.

  2. #2

    Default Re: Update Disabled YAST

    Update: at least I was able to restore my boot loader menu so I can boot the other OS's: "grub2-mkconfig -o /boot/grub2/grub.cfg

    This fix was found in a text file in /boot.

    But YAST is still broken and completely nonfunctional. The app opens but none of the subroutines will execute.

  3. #3
    Join Date
    Apr 2017
    Location
    Piemont
    Posts
    274

    Default Re: Update Disabled YAST

    Try this from the terminal
    Code:
    sudo zypper up libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    loyalty returns to those who practice it

  4. #4

    Default Re: Update Disabled YAST

    Quote Originally Posted by V_idocq View Post
    Try this from the terminal
    Code:
    sudo zypper up libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    Didn't work:

    Code:
     linux-agai:~ # sudo zypper up libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    Retrieving repository 'graphics' metadata ...........................................................[done]
    Building repository 'graphics' cache ................................................................[done]
    Retrieving repository 'openSUSE-Tumbleweed-Non-Oss' metadata ........................................[done]
    Building repository 'openSUSE-Tumbleweed-Non-Oss' cache .............................................[done]
    Retrieving repository 'openSUSE-Tumbleweed-Oss' metadata ............................................[done]
    Building repository 'openSUSE-Tumbleweed-Oss' cache .................................................[done]
    Loading repository data...
    Reading installed packages...
    Package 'libyui-qt8' is not installed.
    Package 'libyui-qt-graph8' is not installed.
    Package 'libyui-qt-pkg8' is not installed.
    Resolving package dependencies...
    
    Nothing to do.
    linux-agai:~ #

  5. #5
    Join Date
    Apr 2017
    Location
    Piemont
    Posts
    274

    Default Re: Update Disabled YAST

    Code:
    sudo zypper in libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    loyalty returns to those who practice it

  6. #6

    Default Re: Update Disabled YAST

    Quote Originally Posted by V_idocq View Post
    Code:
    sudo zypper in libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    That did it! Thanks!.
    Now for the "why" this break down occurred.

  7. #7

    Default Re: Update Disabled YAST

    I run an old laptop with Mint 17.3 and Tumbleweed. Tumbleweed's GRUB does the booting. I had not run the update on this system yet, so I installed the above packages first.
    The update installed, and as has become the norm, it erased Mint from the boot list. But this time I was able to run YAST > System > Bootloader without any problems.

  8. #8
    Join Date
    Jun 2008
    Location
    wichita
    Posts
    990

    Default Re: Update Disabled YAST

    Quote Originally Posted by V_idocq View Post
    Code:
    sudo zypper in libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    I had this problem too. Thanks for the fix.

  9. #9

    Default Re: Update Disabled YAST

    Quote Originally Posted by V_idocq View Post
    Code:
    sudo zypper in libyui-qt-graph8 libyui-qt-pkg8 libyui-qt8
    I just updated with kernel 4-12-7-2. This time the boot menu remained intact. Now I'm wondering if these packages, or rather, their absence, was causing the boot menu to lose its other listed OS's after almost every update.

    I noticed several reports in another forum along the same lines. V_idocq's tip has helped a number of users. Molto grazie!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •